<?PHP include('header.php');?>
<span class="top-bl-s-verh">Форма регистрация на WM Rush</span>
<div class="menucenter-top1">
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Добро пожаловать на WM Rush! Очень надеемся, что вам здесь понравится. 
Благодаря эффективной рекламе и привлекательным ценам вы сможете быстро и легко "раскрутить" свой интернет-ресурс, 
направив к нему поток уникальных посетителей. Так же вы сможете "раскрутиться" 
работая в системе: зарабатывая на просмотре рекламы, чтении писем, выполнении интересных заданий и 
привлекая рефералов.
</td></tr>
</table>
<form>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
 <tr>
  <td width="45%"><b>Ваш логин: </b><br />(латиница не менее 5-и символов)</td>
  <td class="value"><input class="val" type="text" id="regname" size="30" maxlength="20" onkeyup="return search_name();" onselect="return search_name();" value="" /></td>
 </tr></table>
  <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'><tr>
  <td width="45%"><b>Укажите ваш действующий E-mail:</b></td>
  <td class="value"><input class="val" type="text" id="email1" size="30" maxlength="50" onkeyup="return ver_email();" onselect="return ver_email();" value="" /></td>
 </tr><tr>
  <td><b>Укажите ваш E-mail:</b> (повторно)</td>
  <td class="value"><input class="val" type="text" id="email2" size="30" maxlength="50" onkeyup="return ver_email2();" onselect="return ver_email2();" value="" autocomplete="off"/></td>
 </tr>
 </table>
 <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
  <tr>
  <td width="45%"><b>Ваш реферер:</b></td>
  <td class="value" id="ref_info">
  </td>
 </tr>
</table><br />
   <span class="taskquestion"><center>
  Регистрируясь на проекте вы полностью соглашаетесь c:<br />
   <a href="/rules.html" target="_blank"><b>Правилами проекта</b></a> и 
   <a href="/policy.php" target="_blank"><b>Условиями предоставления услуг</b></a></center></span><br />
<center>
   <div id="info_reg"></div>
   <center><div class="captcha">
   <a href="javascript:void(0);" onclick="refresh_on('code_r');">
   <img src="capcha/reg_img.php" id="code_r" /></a></br>
<input type="text" id="code" maxlength="3" value="" style="width: 60px; text-transform: uppercase;" autocomplete="off" /></div></center><br />
  <br /><br />
  <a id="reg_ok" class='button-green' onclick="register();">Зарегистрироваться</a>
 </center>
</form>
<div id="loading_login" style="display:none;text-align:center;margin-bottom:15px;"><img src="img/login_loader.gif"></div>
<script>
var st_left = "<?=$infstart?>";
var st_right = "<?=$infend?>";

function ref_info(){ $.ajax({ type: 'POST', url: 'ajax/register.php', data: { 'func' : 'ref_info', }, success: function(data) { $('#ref_info').html(data); } }); }
ref_info();

function refresh_on(_element_id) {
var element = document.getElementById(_element_id);  
if(element){
element.src = element.src + '?' + (new Date()).getMilliseconds(); 
}
}

function valid_inp(input) {
var in_name = $.trim($('#'+input).val());
var re = /а|б|в|г|д|е|ё|ж|з|и|й|к|л|м|н|о|п|р|с|т|у|ф|х|ц|ч|ш|щ|ъ|ы|ь|э|ю|я|і|!|#|$|%|<|>|/gi;
if (re.test(in_name)) {in_name = in_name.replace(re, ''); $('#'+input).val(in_name);}}

function search_name(){
var regname = $.trim($('#regname').val());
var len_name = regname.length;
var re = /а|б|в|г|д|е|ё|ж|з|и|й|к|л|м|н|о|п|р|с|т|у|ф|х|ц|ч|ш|щ|ъ|ы|ь|э|ю|я|і|!|#|$|%|<|>|/gi;
if(re.test(regname)) { regname = regname.replace(re, ''); $('#regname').val(regname); }
if(len_name > 4){
$.ajax({ type: "POST", url: "ajax/register.php",
data: { 'func' : 'search_login', 'regname' : regname } ,
beforeSend: function(){ $('#inf_regname').html(''); },
success: function(data){ if($.trim(data) != ''){ $('#inf_regname').html(st_left+data+st_right); } }
});
}else{
$('#inf_regname').html(st_left+"<center>Минимум 5 символов</center>"+st_right);
}
}

function ver_email(){
$('#inf_email').html('');
var email = $.trim($('#email1').val());
var re = /\./gi;
if(re.test(email)) {
var e_m = email.split ('.');
var am_e = e_m[1].length;
if(am_e >= 2){
$.ajax({ type: "POST", url: "ajax/register.php",
data: { 'func' : 'ver_email', 'email' : email } ,
beforeSend: function(){ $('#inf_email').html(''); },
success: function(data){ if($.trim(data) != ''){ $('#inf_email').html(st_left+data+st_right); } }
});
}
}
}

var send_ver_code =
"<a class='button-flat-red' onclick=\"send_ver_e();\"  style='cursor:pointer;'>Получить</a>"+
"<a class='button-flat-red' style='cursor:pointer;' onClick=\"ver_code_r();\">Проверить</a>";

function ver_email2(){
$('#inf_email').html('');
var email = $.trim($('#email1').val());
var email2 = $.trim($('#email2').val());
if(email != ''){
if(email == email2) {$('#inf_code').html(''); $('#inf_code').html(st_left+send_ver_code+st_right);
}else{$('#inf_email').html(st_left+"<b>E-mail не совпадают</b>"+st_right);}
}else{$('#inf_email').html(st_left+"<b>Не указан E-Mail</b>"+st_right);}
}

var ec_s_cr =
"<div id='send_ver_e'><center><a class='button-flat-red' style='cursor:pointer;' onClick=\"ver_code_r();\">Проверить E-Mail</a></center></div></div>";


function register(){
$('#loading_login').show();
$("#info_reg").html(""); 
var regname = $.trim($('#regname').val());
var am_name = regname.length;
var email1 = $.trim($('#email1').val());
var email2 = $.trim($('#email2').val());
var code = $.trim($('#code').val());
if(regname == '') {$('#inf_regname').html(st_left+"Не указан логин"+st_right);return false;}
if(am_name < 5) {$('#inf_regname').html(st_left+"Логин должен быть больше 5 символов"+st_right);return false;}
if(am_name > 20) {$('#inf_regname').html(st_left+"Логин должен быть не больше 20 символов"+st_right);return false;}
if(email1 == '') {$('#inf_email').html(st_left+"Не указан E-mail"+st_right);return false;}
if(email2 == '') {$('#inf_email').html(st_left+"Не указан повторно E-mail"+st_right);return false;}
if(email1 != email2) {$('#inf_email').html(st_left+"E-mail не совпадают"+st_right);return false;}
if(code == '') {$('#inf_code').html(st_left+"Не введён проверочный код"+st_right);return false;}
$.ajax({ type: "POST", url: "ajax/register.php", 
data: { 'func': "register", 'regname': regname, 'email1': email1, 'email2': email2, 'code': code},
success: function(data){
$('#loading_login').hide();
$('#reg_ok').hide();
$('#regname').attr('disabled',true);
$('#email1').attr('disabled',true);
$('#email2').attr('disabled',true);
$('#info_reg').html("<?=$infstart?>"+data+"<?=$infend?>");
}
});
}
</script>
</div>
<?PHP include('footer.php'); ?> 